Bug 166073 - plugins content missing most of width
plugins content missing most of width
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2005-08-16 13:41 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-18 15:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
barraza-moz1.4.vanilla.png (352.77 KB, image/png)
2005-08-16 13:43 EDT, Bastien Nocera
no flags Details
barraza-rhel3u5.png (85.84 KB, image/png)
2005-08-16 13:43 EDT, Bastien Nocera
no flags Details
test-embed-plugin.tar.gz (274.86 KB, application/octet-stream)
2005-08-16 13:47 EDT, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2005-08-16 13:41:43 EDT
When using relative widths for the plugin embedding ("100%", "90%"), as opposed
to absolute widths, scaling seems broken.

Images are better than words. See screenshots below, and testcase pages.

Problem occurs in firefox-1.0.6-1.4.1 and mozilla-1.7.3-19.EL4 on RHEL4 (as well
as the current RHEL3 versions, and FC3 as per bug #159319)
Comment 1 Bastien Nocera 2005-08-16 13:43:06 EDT
Created attachment 117796 [details]

Vanilla 1.4.x Mozilla
Comment 2 Bastien Nocera 2005-08-16 13:43:47 EDT
Created attachment 117797 [details]

Mozilla on RHEL3 U5
Comment 3 Bastien Nocera 2005-08-16 13:47:41 EDT
Created attachment 117798 [details]

tarball containing 2 sets of 2 pages.
2 web pages using Flash, one using relative width (broken), the other using
absolute widths (working).
2 web pages using a Movie player plugin (anything that supports the
"video/quicktime" mime-type should do, I used Totem's plugin, you could use
mplayer-plugin, being easier to install, plugger could probably do as well),
one using relative width (broken), the other using absolute widths (working).
Comment 4 Jos Vos 2005-08-17 10:53:31 EDT
A few "live" URL's (using flash) that do not work properly:


As it works fine in Konqueror and other browsers, this seems to be a
Mozilla/Firefox problem.
Comment 10 Daniel Riek 2006-03-13 14:57:21 EST
The impact of this is high enough to carry forward the request to the next
Update. In addition it is not unlikely that there will be other requests for
this component possibly justifying a QA slot. 

Moving to the next Update, clearing all ACKs.
Comment 16 RHEL Product and Program Management 2006-08-18 13:25:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 17 Brad Hinson 2006-08-18 15:23:14 EDT
Solved by Firefox 1.5 in RHEL 4 U4.

Note You need to log in before you can comment on or make changes to this bug.